diff --git a/Output/USB/arm/usb_desc.c b/Output/USB/arm/usb_desc.c
index ea31d8cf2..328208ffd 100644
--- a/Output/USB/arm/usb_desc.c
+++ b/Output/USB/arm/usb_desc.c
@@ -273,7 +273,6 @@ static uint8_t sys_ctrl_report_desc[] = {
 	0x05, 0x01,          // Usage Page (Generic Desktop),
 	0x09, 0x80,          // Usage (System Control),
 	0xA1, 0x01,          // Collection (Application),
-	0x85, 0x02,          //   Report ID (2),
 	0x75, 0x08,          //   Report Size (8),
 	0x95, 0x01,          //   Report Count (1),
 	0x16, 0x81, 0x00,    //   Logical Minimum (129),
@@ -291,7 +290,6 @@ static uint8_t sys_ctrl_report_desc[] = {
 	0x05, 0x0c,          // Usage Page (Consumer),
 	0x09, 0x01,          // Usage (Consumer Control),
 	0xA1, 0x01,          // Collection (Application),
-	0x85, 0x03,          //   Report ID (3),
 	0x75, 0x10,          //   Report Size (16),
 	0x95, 0x01,          //   Report Count (1),
 	0x16, 0x01, 0x00,    //   Logical Minimum (1),
diff --git a/Output/USB/arm/usb_keyboard.c b/Output/USB/arm/usb_keyboard.c
index 1a373457a..0fb17ce85 100644
--- a/Output/USB/arm/usb_keyboard.c
+++ b/Output/USB/arm/usb_keyboard.c
@@ -181,45 +181,27 @@ void usb_keyboard_send( USBKeys *buffer, uint8_t protocol )
 	// Pointer to USB tx packet buffer
 	uint8_t *tx_buf = tx_packet->buf;
 
-	// Check system control keys
-	if ( buffer->changed & USBKeyChangeState_System )
+	// Check system control and consumer control keys
+	if ( buffer->changed & USBKeyChangeState_System || buffer->changed & USBKeyChangeState_Consumer )
 	{
 		if ( Output_DebugMode )
 		{
 			USB_SysCtrlDebug( buffer );
-		}
-
-		// Store update for idle packet
-		USBKeys_idle.sys_ctrl = buffer->sys_ctrl;
-
-		*tx_buf++ = 0x02; // ID
-		*tx_buf   = buffer->sys_ctrl;
-		tx_packet->len = 2;
-
-		// Send USB Packet
-		usb_tx( SYS_CTRL_ENDPOINT, tx_packet );
-		buffer->changed &= ~USBKeyChangeState_System; // Mark sent
-		return;
-	}
-
-	// Check consumer control keys
-	if ( buffer->changed & USBKeyChangeState_Consumer )
-	{
-		if ( Output_DebugMode )
-		{
 			USB_ConsCtrlDebug( buffer );
 		}
 
 		// Store update for idle packet
+		USBKeys_idle.sys_ctrl = buffer->sys_ctrl;
 		USBKeys_idle.cons_ctrl = buffer->cons_ctrl;
 
-		*tx_buf++ = 0x03; // ID
+		*tx_buf++ = buffer->sys_ctrl;
 		*tx_buf++ = (uint8_t)(buffer->cons_ctrl & 0x00FF);
 		*tx_buf   = (uint8_t)(buffer->cons_ctrl >> 8);
 		tx_packet->len = 3;
 
 		// Send USB Packet
 		usb_tx( SYS_CTRL_ENDPOINT, tx_packet );
+		buffer->changed &= ~USBKeyChangeState_System; // Mark sent
 		buffer->changed &= ~USBKeyChangeState_Consumer; // Mark sent
 		return;
 	}
